跳转到内容
登录 注册

Google 产品 API

使用已知的产品 ID 从 Google Shopping 产品页面检索产品详情。设置 engine=google_product 并传入 product_id,然后可选择启用 offers、specs 或 reviews 标志以扩展响应内容。

GET https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY
参数类型必填说明
api_keystring是您的 SERP API 密钥
enginestring是必须为 google_product
product_idstring是Google 产品 ID
devicestring否desktop、mobile 或 tablet
google_domainstring否要使用的 Google 域名
locationstring否地理定位位置名称
uulestring否Google 编码的位置字符串
hlstring否界面语言代码
glstring否国家代码
startint否用于分页的结果偏移量
offersint否设置为 1 或 true 以获取报价
specsint否设置为 1 或 true 以获取产品规格
reviewsint否设置为 1 或 true 以获取产品评论
filterstring否筛选报价。取值:freeship:1、ucond:1、scoring:p、scoring:tp、scoring:cpd、scoring:mrd
终端窗口
curl "https://serp.shifter.io/v1?engine=google_product&api_key=YOUR_API_KEY&product_id=11607214845071611155"
{
"search_parameters": {
"engine": "google_product",
"product_id": "11607214845071611155"
},
"product_results": {
"title": "Sony WH-1000XM5 Wireless Noise Cancelling Headphones",
"prices": ["$349.00 - $399.99"],
"rating": 4.7,
"reviews": 2341,
"extensions": ["Wireless", "Noise Cancelling"],
"description": "Industry leading noise cancellation...",
"media": [ { "type": "image", "link": "https://..." } ]
},
"sellers_results": {
"online_sellers": [
{ "name": "Best Buy", "total_price": "$349.00" }
]
}
}